Bug 139283 - IPTC Caption comment in search function
Summary: IPTC Caption comment in search function
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Searches-Engine (show other bugs)
Version: 0.9.0
Platform: unspecified Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-12-27 18:29 UTC by Martin Zahnd
Modified: 2019-12-28 22:15 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 7.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Zahnd 2006-12-27 18:29:16 UTC
Version:           0.9.0 (using KDE 3.5.5 "release 45" , openSUSE 10.2)
Compiler:          Target: x86_64-suse-linux
OS:                Linux (x86_64) release 2.6.18.2-34-default

Please make a import function to put the IPTC Capture text also in the database and a search Function to find later.
Thanks 
Martin Zahnd
Comment 1 caulier.gilles 2007-01-02 20:54:34 UTC
What is it 'IPTC Capture Text' ???

Gilles Caulier
Comment 2 Mikolaj Machowski 2007-01-02 21:45:00 UTC
> ------- Additional Comments From caulier.gilles kdemail net  2007-01-02
> 20:54 ------- What is it 'IPTC Capture Text' ???


Probably OP means to take into account IPTC comment when searching for
photos in Digikam.
Comment 3 Martin Zahnd 2007-01-02 22:26:39 UTC
Sorry Caption text  (shame)
example

Dateiname: 2000Awin_1011.jpg (IPTC-Einträge)
IIM-Applikation 2
Byline : Martin Zahnd
Caption : Wiedehopf
SpecialInstructions : http://www.zahndmartin.ch
Writer : Martin Zahnd

I have thousands pictures about birds, etc and its not useful to make a TAG for eatch bird.
I puted some Bird-names into Exif Tag, but Digikam don't show the comment when the picture was into the DB befor adding the Comment.
On the IPTC Comments, its working.
What I need now, is a searchfunction for this IPTC Comments
Thanks
Comment 4 Sapaka GADEW 2007-01-09 17:57:18 UTC
I totally second sapo on that point!

I use Digikam 0.9 on kubuntu.
I migrated from Adobe Photoshop Elements on windows and I gave all my 
pictures (about 8000) IPTC keywords corresponding to Photoshop Elements 
tags. That worked.

Now I have imported all my pictures in Digikam, i would like to make a search (or an advanced search) on the IPTC keywords to ba bale to tag them coreectly.

Thanks for all the good work!
Comment 5 caulier.gilles 2007-11-18 15:09:09 UTC
SVN commit 738271 by cgilles:

digiKam from KDE3 branch : new text filter on status bar to filter current album contents based on item name, comments and tags strings.

CCMAIL: digikam-devel@kde.org
BUG: 110136
CCBUGS: 139283
CCBUGS: 133191


 M  +1 -1      albumiconview.cpp  
 M  +37 -9     albumlister.cpp  
 M  +3 -1      albumlister.h  
 M  +14 -0     albumsettings.cpp  
 M  +3 -0      albumsettings.h  
 M  +21 -0     digikamapp.cpp  
 M  +1 -0      digikamapp.h  
 M  +4 -0      digikamappprivate.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=738271
Comment 6 caulier.gilles 2008-04-23 11:13:56 UTC
Martin,

Following recents progress into new Advanced Search tools from Marcel with KDE4 port, i close this file.

Search tools have been rewritten. Screenshots are available at this url:

http://digikam3rdparty.free.fr/Screenshots/NewSearchTools

Gilles Caulier